.menu-wrp {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: $main-bg-color;
  z-index: 900;
  transform: translateX(100%);
  transition: 0.8s;
  overflow: auto;

  @include max-w($screen-md){
    flex-wrap: wrap;
  }
}

.left-part {
  width: 65%;
  background-color: $menu-left-bg-color;
  transform: translateX(-300%);
  transition: 0.8s;

  @include max-w($screen-xl){
    width: 60%;
  }

  @include max-w($screen-lg){
    padding-bottom: 20px;
  }

  @include max-w($screen-md){
    width: 100%;
  }
  @include max-w($screen-sm){
    padding-bottom: 40px;
  }

  .content-wrp {
    max-width: 360px;
  }
}

.menu-logo {
  display: block;
  margin: 0 auto 0px;
  opacity: 0;
  position: absolute;
  top: 60px;

  svg {
    width: 400px;
    max-width: 90%;
    fill: $main-bg-color;

    @include max-w($screen-md) {
      max-height: 124px;
    }

    path, circle {
      fill: $main-bg-color;
    }
  }

  @include max-w($screen-lg) {
    top: 0px;
  }

  @include max-w($screen-md) {
    top: -25px;
  }

  img {
    max-height: 200px;
    width: auto;


    @include max-w($screen-sm) {
     
      margin: 60px auto 0;
      max-height: 90px;
      margin-top: 35px;
    }
  }
}

.right-part {
  width: 35%;

  @include max-w($screen-xl){
    width: 40%;
    margin: 0 auto;
    text-align: center;
  }

  @include max-w($screen-sm){
    padding-top: 20px;
    padding-bottom: 20px;
    width: 100%;
  }

  .content-wrp{
    max-width: 340px;
    opacity: 0;

    @include max-w($screen-sm){
      max-width: 240px;
    }
  }
}

.menu {
  padding: 0;
  margin: 0;
  list-style: none;
  opacity: 0;

  &__item {
    text-align: center;
    >a{
      display: inline-block;
      font-family: $bold-font;
      font-size: 42px;
      line-height: 56px;
      color: $menu-item-color;
      transition: .3s;
      font-weight: 300; 

      &:hover {
        color: darken( $menu-item-color, 10%);
      }

      @include max-w($screen-xxl){
        font-size: 32px;
        line-height: 45px;
      }

      @include max-w($screen-xl){
        font-size: 28px;
        line-height: 40px;
      }

    }
  }
}

.block-info{
  margin-bottom: 55px;
  color: $menu-right-item-color;

  &:hover{
    color: darken($menu-right-item-color, 8%);
  }

  @include max-w($screen-xxxl){
    margin-bottom: 35px;
  }

  @include max-w($screen-xxl){
    margin-bottom: 22px;
  }

  @include max-w($screen-lg){
    margin-bottom: 15px;
  }

  &__title{
    font-family: $title-font;
    font-size: 30px;
    line-height: 22px;
    transition: .3s;
    font-weight: 400;

    &:hover{
      color: darken($menu-right-item-color, 15%);
    }

    @include max-w($screen-xl){
      font-size: 25px;
    }

    @include max-w($screen-lg){
      line-height: 27px;
    }
  }

  &__description{
    display: block;
    font-family: $bold-font;
    font-weight: $bold-font-w;
    font-size: 17px;

    @include max-w($screen-xl){
      font-size: $font-size;
    }
  }

  &__social{
    color:$menu-right-item-color;
    &:hover{
      color: darken($menu-right-item-color, 15%);
    }
  }

  &:last-of-type{
    margin-bottom: 120px;

    @include max-w($screen-xl){
      margin-bottom: 60px;
    }
  }
}

.pre-form-text {
  font-size: 17px;
  font-family: $bold-font;
  margin-bottom: 22px;

  @include max-w($screen-sm-start){
    font-size: $font-size;
    margin-bottom: 10px;
  }
}

.sign-up-form{
  display: none;
  max-width: 336px;
  width: 100%;
  position: relative;

  @include max-w($screen-sm-start){
    padding-left: 15px;
    padding-right: 15px;
  }

  input[type='email'],
  input[type='text']{
    border: 2px solid $menu-right-item-color;
    color: $menu-right-item-color;
    font-family: $bold-font;
    transition: 0.5s;
    padding-right: 115px;

    &::placeholder{
      color: $menu-right-item-color;
      font-family: $bold-font;
    }

    &.no-valid{
      border-color: red;
      color: red;
    }
  }

  .btn.btn--menu{
    width: 52px;
    height: 52px;
    padding-top: 13px;
    padding-bottom: 13px;
    display: inline-block;
    background-color: $menu-right-item-color;
    position: absolute;
    right: 0;
    top: 0px;
    font-size: 16px;
    padding-left: 0;
    padding-right: 0;
    cursor: pointer;

    @include max-w($screen-xxl){
      padding-top: 13px;
      padding-bottom: 13px;
    }

    >svg{
      width: 20px;
      height: 20px;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%,-50%);

    }

    &:hover{
      background-color: transparent;
      color: $menu-right-item-color;
      border-color: $menu-right-item-color;

      >svg{

        polygon{
          fill: $menu-right-item-color;
        }
      }
    }
  }

  .btn.btn--ind{
    padding-top: 15px;
    padding-bottom: 15px;
  }
}

#sign-up{
  cursor: pointer;
}

.first-step {
  transition: 0.5s;
  text-align: right;
  position: relative;
  margin: 8px 0 12px;
  overflow: hidden;

  //button bigger then input on upscale fix
  & > input[type="text"] {
    margin: 0 !important;
  }

  .btn--menu {
    top: 0;
  }
}


.second-step {
  position: absolute;
  width: 100%;
  top: 74px;
  left: 0;
  transition: 0.5s;
  transition-delay: 0.5s;
  text-align: right;
  margin: 8px 0 12px;
  overflow: hidden;

  //button bigger then input on upscale fix
  & > input[type="email"] {
    margin: 0 !important;
  }

  .btn--menu {
    top: 0;
  }
}

.hidden-input {
  visibility: hidden;
  opacity: 0;
}
